#
# spec file for package itcl (Version 3.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libusb libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcl tcl-devel tcpd texinfo timezone tk tk-devel unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           itcl
BuildRequires:  freetype2 libusb resmgr tk-devel xorg-x11-devel
Version:        3.3
Release:        437.2
Autoreqprov:    on
Group:          Development/Languages/Tcl
License:        X11/MIT
Summary:        Object Oriented Extension for Tcl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name%version-20050607.tar.bz2
Patch0:         %name.patch

%description
Incr Tcl adds object-oriented programming facilities to Tcl.  It was
NOT designed as another whiz-bang, object-oriented programming
language. It is patterned somewhat after C++.  It was designed to
support more structured programming in Tcl.  Scripts that grow beyond a
few thousand lines become extremely difficult to maintain. [incr Tcl]
attacks this problem in the same way that any object- oriented
programming language would, by providing mechanisms for data
encapsulation behind well-defined interfaces.



Authors:
--------
    Michael J. McLennan <michael.mclennan@att.com>
    Dr. John Ousterhout <john.ousterhout@eng.sun.com>

%debug_package
%prep
%setup -q -n %name%version
%patch0
chmod a+x itk/examples/viewfile

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
mkdir build
cd build
../configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--mandir=%_mandir \
	--with-tcl=%_libdir \
	--with-tk=%_libdir \
	--enable-tk
make

%install
cd build
make install DESTDIR=%buildroot

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc README CHANGES ChangeLog INCOMPATIBLE TODO
%doc itk/examples
%doc %_mandir/mann/*
%_includedir/*
%_datadir/tcl
%_libdir/lib*
%_libdir/*Config.sh

%changelog -n itcl
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 - ro@suse.de
- fixed syntax error in tcl configure
* Tue Jun 14 2005 - max@suse.de
- Updated to current CVS snapshot.
- Moved script libraries to /usr/share/tcl .
* Thu Nov 11 2004 - ro@suse.de
- fixed file list
* Tue Aug 17 2004 - max@suse.de
- Updated to current CVS snapshot.
- Cleaned up the spec file from lots of old cruft.
- Disabled running the test suite due to problems with Xvfb.
* Sat Apr 24 2004 - sndirsch@suse.de
- fixed neededforbuild (XFree86 --> xorg-x11)
* Sun Feb 22 2004 - ro@suse.de
- added libusb and resmgr to neededforbuild
* Fri Feb 06 2004 - max@suse.de
- Added -fno-strict-aliasing to CFLAGS.
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Jul 23 2003 - max@suse.de
- Added tk-devel to neededforbuild.
* Thu Jan 09 2003 - ro@suse.de
- added freetype2 to neededforbuild (needed to run Xvfb)
* Thu Nov 28 2002 - max@suse.de
- Itcl is a source package of it's own now.
  For older history see the change log of the tcl package.
- New CVS snapshot: itcl3.3-20021030
- Build with threading support if Tcl was built to support threads.
- Place the libraries in libdir instead of libdir/itcl3.3
- Running the testsuite during build. The following tests are known
  to fail currently: basic-5.6a, mkindex-1.3, interp-1.2
